package com.doc.biz.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.doc.common.annotation.Excel;
import com.doc.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 文件收藏对象 doc_favorite
 *
 * @author wukai
 * @date 2023-08-21
 */
@ApiModel(value = "DocFavorite", description = "文件收藏")
public class DocFavorite extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 收藏ID
     */
    @ApiModelProperty("收藏ID")
    @TableId
    private Long favoriteId;

    /**
     * 标签ID
     */
    @ApiModelProperty("标签ID")
    private Long labelId;

    /**
     * 是否文件夹
     */
    @ApiModelProperty("是否文件夹")
    @Excel(name = "是否文件夹")
    private String isFolder;

    /**
     * 文件夹/文档ID
     */
    @ApiModelProperty("文件夹/文档ID")
    private Long relaId;

    /**
     * 所有人
     */
    @ApiModelProperty("所有人")
    private Long owner;
    /**
     * 所有人
     */
    @ApiModelProperty("文件信息")
    @TableField(exist = false)
    private DocInfo docInfo;
    /**
     * 所有人
     */
    @ApiModelProperty("文件夹信息")
    @TableField(exist = false)
    private DocDir docDir;

    public DocInfo getDocInfo() {
        return docInfo;
    }

    public void setDocInfo(DocInfo docInfo) {
        this.docInfo = docInfo;
    }

    public DocDir getDocDir() {
        return docDir;
    }

    public void setDocDir(DocDir docDir) {
        this.docDir = docDir;
    }

    public void setFavoriteId(Long favoriteId) {
        this.favoriteId = favoriteId;
    }

    public Long getFavoriteId() {
        return favoriteId;
    }

    public void setLabelId(Long labelId) {
        this.labelId = labelId;
    }

    public Long getLabelId() {
        return labelId;
    }

    public void setIsFolder(String isFolder) {
        this.isFolder = isFolder;
    }

    public String getIsFolder() {
        return isFolder;
    }

    public void setRelaId(Long relaId) {
        this.relaId = relaId;
    }

    public Long getRelaId() {
        return relaId;
    }

    public void setOwner(Long owner) {
        this.owner = owner;
    }

    public Long getOwner() {
        return owner;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("favoriteId", getFavoriteId()).append("labelId", getLabelId()).append("isFolder", getIsFolder()).append("relaId", getRelaId()).append("owner", getOwner()).append("createBy", getCreateBy()).append("createTime", getCreateTime()).append("updateBy", getUpdateBy()).append("updateTime", getUpdateTime()).append("remark", getRemark()).toString();
    }
}
