package com.doc.biz.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.doc.biz.domain.DocActor;

import java.util.List;

/**
 * 文档协作Mapper接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface DocActorMapper extends BaseMapper<DocActor> {
    /**
     * 查询文档协作
     *
     * @param autoId 文档协作主键
     * @return 文档协作
     */
    public DocActor selectDocActorByAutoId(Long autoId);

    /**
     * 查询文档协作列表
     *
     * @param docActor 文档协作
     * @return 文档协作集合
     */
    public List<DocActor> selectDocActorList(DocActor docActor);

    /**
     * 新增文档协作
     *
     * @param docActor 文档协作
     * @return 结果
     */
    public int insertDocActor(DocActor docActor);

    /**
     * 修改文档协作
     *
     * @param docActor 文档协作
     * @return 结果
     */
    public int updateDocActor(DocActor docActor);

    /**
     * 删除文档协作
     *
     * @param autoId 文档协作主键
     * @return 结果
     */
    public int deleteDocActorByAutoId(Long autoId);

    /**
     * 批量删除文档协作
     *
     * @param autoIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDocActorByAutoIds(Long[] autoIds);
}
