package com.doc.biz.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.doc.biz.domain.DocMsg;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 消息管理Mapper接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface DocMsgMapper extends BaseMapper<DocMsg> {
    /**
     * 查询消息管理
     *
     * @param msgId 消息管理主键
     * @return 消息管理
     */
    public DocMsg selectDocMsgByMsgId(Long msgId);

    /**
     * 查询消息管理列表
     *
     * @param docMsg 消息管理
     * @return 消息管理集合
     */
    public List<DocMsg> selectDocMsgList(DocMsg docMsg);

    /**
     * 新增消息管理
     *
     * @param docMsg 消息管理
     * @return 结果
     */
    public int insertDocMsg(DocMsg docMsg);

    /**
     * 修改消息管理
     *
     * @param docMsg 消息管理
     * @return 结果
     */
    public int updateDocMsg(DocMsg docMsg);

    /**
     * 删除消息管理
     *
     * @param msgId 消息管理主键
     * @return 结果
     */
    public int deleteDocMsgByMsgId(Long msgId);

    /**
     * 批量删除消息管理
     *
     * @param msgIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDocMsgByMsgIds(Long[] msgIds);

    /**
     * 查询聊天记录
     *
     * @param from 当前用户ID
     * @param to   对方用户ID
     * @return
     */
    List<DocMsg> selectRecordList(@Param("from") Long from, @Param("to") Long to);
}
