package com.doc.biz.service;

import com.doc.biz.domain.DocInfo;

import java.util.List;

/**
 * 文件基本信息表Service接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface IDocInfoService {
    /**
     * 查询文件基本信息表
     *
     * @param docId 文件基本信息表主键
     * @return 文件基本信息表
     */
    public DocInfo selectDocInfoByDocId(Long docId);

    /**
     * 查询文件基本信息表列表
     *
     * @param docInfo 文件基本信息表
     * @return 文件基本信息表集合
     */
    public List<DocInfo> selectDocInfoList(DocInfo docInfo);

    /**
     * 新增文件基本信息表
     *
     * @param docInfo 文件基本信息表
     * @return 结果
     */
    public int insertDocInfo(DocInfo docInfo);

    /**
     * 修改文件基本信息表
     *
     * @param docInfo 文件基本信息表
     * @return 结果
     */
    public int updateDocInfo(DocInfo docInfo);

    /**
     * 批量删除文件基本信息表
     *
     * @param docIds 需要删除的文件基本信息表主键集合
     * @return 结果
     */
    public int deleteDocInfoByDocIds(Long[] docIds);

    /**
     * 删除文件基本信息表信息
     *
     * @param docId 文件基本信息表主键
     * @return 结果
     */
    public int deleteDocInfoByDocId(Long docId);
}
