package com.doc.biz.service;

import com.doc.biz.domain.DocMsg;

import java.util.List;

/**
 * 消息管理Service接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface IDocMsgService {
    /**
     * 查询消息管理
     *
     * @param msgId 消息管理主键
     * @return 消息管理
     */
    public DocMsg selectDocMsgByMsgId(Long msgId);

    /**
     * 查询消息管理列表
     *
     * @param docMsg 消息管理
     * @return 消息管理集合
     */
    public List<DocMsg> selectDocMsgList(DocMsg docMsg);

    /**
     * 新增消息管理
     *
     * @param docMsg 消息管理
     * @return 结果
     */
    public int insertDocMsg(DocMsg docMsg);

    /**
     * 修改消息管理
     *
     * @param docMsg 消息管理
     * @return 结果
     */
    public int updateDocMsg(DocMsg docMsg);

    /**
     * 批量删除消息管理
     *
     * @param msgIds 需要删除的消息管理主键集合
     * @return 结果
     */
    public int deleteDocMsgByMsgIds(Long[] msgIds);

    /**
     * 删除消息管理信息
     *
     * @param msgId 消息管理主键
     * @return 结果
     */
    public int deleteDocMsgByMsgId(Long msgId);

    /**
     * 查询聊天记录
     *
     * @param from 当前用户ID
     * @param to     对方用户ID
     * @return
     */
    List<DocMsg> selectRecordList(Long from, Long to);
}
