package com.doc.biz.service;

import com.doc.biz.domain.DocShare;

import java.util.List;

/**
 * 文档分享Service接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface IDocShareService {
    /**
     * 查询文档分享
     *
     * @param shareId 文档分享主键
     * @return 文档分享
     */
    public DocShare selectDocShareByShareId(Long shareId);

    /**
     * 查询文档分享列表
     *
     * @param docShare 文档分享
     * @return 文档分享集合
     */
    public List<DocShare> selectDocShareList(DocShare docShare);

    /**
     * 新增文档分享
     *
     * @param docShare 文档分享
     * @return 结果
     */
    public int insertDocShare(DocShare docShare);

    /**
     * 修改文档分享
     *
     * @param docShare 文档分享
     * @return 结果
     */
    public int updateDocShare(DocShare docShare);

    /**
     * 批量删除文档分享
     *
     * @param shareIds 需要删除的文档分享主键集合
     * @return 结果
     */
    public int deleteDocShareByShareIds(Long[] shareIds);

    /**
     * 删除文档分享信息
     *
     * @param shareId 文档分享主键
     * @return 结果
     */
    public int deleteDocShareByShareId(Long shareId);
}
