package com.doc.biz.service;

import com.doc.biz.domain.DocTransfer;

import java.util.List;

/**
 * 文件传输Service接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface IDocTransferService {
    /**
     * 查询文件传输
     *
     * @param tranId 文件传输主键
     * @return 文件传输
     */
    public DocTransfer selectDocTransferByTranId(Long tranId);

    /**
     * 查询文件传输列表
     *
     * @param docTransfer 文件传输
     * @return 文件传输集合
     */
    public List<DocTransfer> selectDocTransferList(DocTransfer docTransfer);

    /**
     * 新增文件传输
     *
     * @param docTransfer 文件传输
     * @return 结果
     */
    public int insertDocTransfer(DocTransfer docTransfer);

    /**
     * 修改文件传输
     *
     * @param docTransfer 文件传输
     * @return 结果
     */
    public int updateDocTransfer(DocTransfer docTransfer);

    /**
     * 批量删除文件传输
     *
     * @param tranIds 需要删除的文件传输主键集合
     * @return 结果
     */
    public int deleteDocTransferByTranIds(Long[] tranIds);

    /**
     * 删除文件传输信息
     *
     * @param tranId 文件传输主键
     * @return 结果
     */
    public int deleteDocTransferByTranId(Long tranId);
}
